%global modulescope @mrmlnc
%global modulename @mrmlnc/readdir-enhanced

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-mrmlnc-readdir-enhanced
Version:        2.2.1
Release:        1%{?dist}
Summary:        fs.readdir with sync, async, and streaming APIs + filtering, recursion, absolute paths, etc.

License:        MIT
URL:            https://github.com/bigstickcarpet/readdir-enhanced
Source0:        https://registry.npmjs.org/@mrmlnc/readdir-enhanced/-/readdir-enhanced-2.2.1.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(call-me-maybe) >= 1.0.1 with npmlib(call-me-maybe) < 2.0.0))
BuildRequires:  ((npmlib(glob-to-regexp) >= 0.3.0 with npmlib(glob-to-regexp) < 0.4.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
fs.readdir with sync, async, and streaming APIs + filtering, recursion, absolute paths, etc.

%package 2.2.1
Summary:        fs.readdir with sync, async, and streaming APIs + filtering, recursion, absolute paths, etc.


%description 2.2.1
fs.readdir with sync, async, and streaming APIs + filtering, recursion, absolute paths, etc.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr types.d.ts %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
mkdir %{buildroot}%{nodejs_dir}/%{modulescope}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}
%dir %{nodejs_dir}/%{modulescope}

%files 2.2.1
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/
%dir %{npmlib_dir}/%{modulescope}

%changelog
* Tue Nov 27 2018 npm2srpm <dshea@redhat.com> - 2.2.1-1
- Package automatically generated by npm2srpm
